/* variables needed from xfunc_x.c */
extern Widget drawwin;
extern float voffmxx;


/* function declarations for x versions of plotting functions */

extern void x_real_func_sl(float voffset, float y, float vstep);
extern void x_real_func_lp(float voffset, float x, float y, float vstep);
extern void x_real_func_el();
extern void x_real_gray_sl(float voffset, float y, float vstep);
extern void x_real_gray_lp(float voffset, float x, float y, float vstep);
extern void x_real_gray_el();
extern void x_complex_gray_lp(float voffset, float theta, float x, float y, float vstep);
extern void x_complex_gray_sl(float voffset, float y0, float theta, float x1,
                       float y1, float vstep);
extern void x_complex_gray_el();
extern void x_complex_func_sl(float voffset, float y0, float theta, float x1,
                       float y1, float vstep);
extern void x_complex_func_lp(float voffset, float theta, float x, float y, float vstep);
extern void x_complex_func_el();
extern void x_printtick(float temp, float lasttickprinttime, float fontsize,
                        float tick, float doubled, int grayscale);
extern void x_complex_prolog(char *options, int norows, float voffmax, float vstep,
               float pagewidth, float *deltax, float scaling, float originx,
               float originy, float tick, float fontsize, float maxnorm,
               float doubled, int complexin, int grayscale, int reverse);
extern void x_real_prolog(char *options, int norows, float voffmax, float vstep,
               float pagewidth, float *deltax, float scaling, float originx,
               float originy, float tick, float fontsize, float maxnorm,
               float doubled, int complexin, int grayscale, int reverse);
extern void x_eopage(float voffset, float pagewidth, float vstep, 
               float doubled, float originx, float originy,
               float fontsize, int grayscale, int whichpage, int lr);
extern void x_epilog(int grayscale, float voffset, int whichpage,
               float pagewidth, float doubled);

extern void DrawwinExpose(Widget w, XEvent *event,
                          String *params, Cardinal *num_params);
extern void UpdateValue(Widget w, XEvent *event,
                        String *params, Cardinal *num_params);
extern void ThisField(Widget w, XEvent *event,
                      String *params, Cardinal *num_params);
extern void PrevField(Widget w, XEvent *event,
                      String *params, Cardinal *num_params);
extern void NextField(Widget w, XEvent *event,
                      String *params, Cardinal *num_params);
extern void ReturnAction(Widget w, XEvent *event,
                         String *params, Cardinal *num_params);
extern void ReturnActionS(Widget w, XEvent *event,
                          String *params, Cardinal *num_params);
extern void ReturnActionP(Widget w, XEvent *event,
                          String *params, Cardinal *num_params);
 

extern void Redraw(Widget w, XtPointer client_data, XtPointer call_data);
extern void Load(Widget w, XtPointer client_data, XtPointer call_data);
extern void Hardcopy(Widget w, XtPointer client_data, XtPointer call_data);
extern void DialogDone(Widget w, XtPointer client_data, XtPointer call_data);
extern void PrintCancel(Widget w, XtPointer client_data, XtPointer call_data);
extern void Quit(Widget w, XtPointer client_data, XtPointer call_data);
extern void Outfunc(Widget w, XtPointer client_data, XtPointer call_data);
extern void Reverse(Widget w, XtPointer client_data, XtPointer call_data);
