
/* function declarations for utility functions */

#define assert(C) do_assert(C, __FILE__, __LINE__)


extern void do_assert(int c, char *file, int line);
extern void nrerror(char error_text[]);
extern float *vector(long nl, long nh);
extern void free_vector(float *v, long nl, long nh);
extern float **matrix(long nrl, long nrh, long ncl, long nch);
extern void free_matrix(float **m, long nrl, long nrh, long ncl, long nch);
extern void HSBtoRGB(float H, float S, float V, float *pR, float *pG, float *pB);
